Loading...
Searching...
No Matches
osmium::handler::DynamicHandler Class Reference

`#include <dynamic_handler.hpp>`

Inheritance diagram for osmium::handler::DynamicHandler:
[legend]
Collaboration diagram for osmium::handler::DynamicHandler:
[legend]

## Public Member Functions

| DynamicHandler ()
template<typename THandler, typename... TArgs>
void | set (TArgs &&... args)
void | node (const osmium::Node &node)
void | way (const osmium::Way &way)
void | relation (const osmium::Relation &relation)
void | area (const osmium::Area &area)
void | changeset (const osmium::Changeset &changeset)
void | flush ()
Public Member Functions inherited from osmium::handler::Handler
void | osm_object (const osmium::OSMObject &) const noexcept
void | node (const osmium::Node &) const noexcept
void | way (const osmium::Way &) const noexcept
void | relation (const osmium::Relation &) const noexcept
void | area (const osmium::Area &) const noexcept
void | changeset (const osmium::Changeset &) const noexcept
void | tag_list (const osmium::TagList &) const noexcept
void | way_node_list (const osmium::WayNodeList &) const noexcept
void | relation_member_list (const osmium::RelationMemberList &) const noexcept
void | outer_ring (const osmium::OuterRing &) const noexcept
void | inner_ring (const osmium::InnerRing &) const noexcept
void | changeset_discussion (const osmium::ChangesetDiscussion &) const noexcept
void | flush () const noexcept

## Private Types

using | impl_ptr = std::unique_ptr<osmium::handler::detail::HandlerWrapperBase>

## Private Attributes

impl_ptr | m_impl

## Member Typedef Documentation

## impl_ptr

using osmium::handler::DynamicHandler::impl_ptr = std::unique_ptr<osmium::handler::detail::HandlerWrapperBase>

private

## Constructor & Destructor Documentation

## DynamicHandler()

osmium::handler::DynamicHandler::DynamicHandler | ( |  | ) |

inline

## Member Function Documentation

## area()

void osmium::handler::DynamicHandler::area | ( | const osmium::Area & | area | ) |

inline

## changeset()

void osmium::handler::DynamicHandler::changeset | ( | const osmium::Changeset & | changeset | ) |

inline

## flush()

void osmium::handler::DynamicHandler::flush | ( |  | ) |

inline

## node()

void osmium::handler::DynamicHandler::node | ( | const osmium::Node & | node | ) |

inline

## relation()

void osmium::handler::DynamicHandler::relation | ( | const osmium::Relation & | relation | ) |

inline

## set()

template<typename THandler, typename... TArgs>

void osmium::handler::DynamicHandler::set | ( | TArgs &&... | args | ) |

inline

## way()

void osmium::handler::DynamicHandler::way | ( | const osmium::Way & | way | ) |

inline

## Member Data Documentation

## m_impl

impl_ptr osmium::handler::DynamicHandler::m_impl

private

The documentation for this class was generated from the following file:

- include/osmium/dynamic_handler.hpp